#ifndef UDISKSDEVICE_H
#define UDISKSDEVICE_H

#include <QObject>
#include <QDBusObjectPath>
#include <QDBusMetaType>
#include <QList>
#include <QVariant>

class QDBusInterface;

class UDisksDevice : public QObject
{
    Q_OBJECT
public:
    UDisksDevice(QDBusObjectPath o, QObject *parent = 0);

    ~UDisksDevice();

    QVariant property (const QString &key);
    QDBusObjectPath objectPath() const;

    bool isDVD();
    bool isBurner();
    QString getVolumeName();
    void setVolumeName(const QString & _volName);
    QString getDevice();
    QString getName();
signals:
    void changed();


private:
    QDBusInterface *m_interface;
    QDBusObjectPath m_path;
    bool m_isBurner,m_isDvd;
    QString m_volumeName;
    QString m_device;
    QString m_name;
};

#endif
