
#ifndef UDISKSMANAGER_H
#define UDISKSMANAGER_H

#include <QObject>
#include <QList>
#include <QDBusObjectPath>
#include "udisksdevice.h"

class QDBusInterface;

/**
	@author Ilya Kotov <forkotov02@hotmail.ru>
*/
class UDisksManager : public QObject
{
Q_OBJECT
public:
    UDisksManager(QObject *parent = 0);

    ~UDisksManager();

    QList<QDBusObjectPath> findAllDevices();

signals:
    void deviceAdded(QDBusObjectPath);
    void driveAdded(const QString &,const QString&,bool,const QStringList &);
    void volumeChanged(const QString &,const QString &);
    void deviceRemoved(QDBusObjectPath);
    void deviceChanged(QDBusObjectPath);

protected slots:
    void sdeviceAdded(QDBusObjectPath);
    void sdeviceRemoved(QDBusObjectPath);
    void sdeviceChanged(QDBusObjectPath);
private:
    QDBusInterface *m_interface;
    QList <UDisksDevice*> m_devices;
};

#endif
